MessageStatusEvent (Axis API)
Keywords: org.apache.axis.ime.event.MessageStatusEvent,MessageStatusEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.ime.event
Class MessageStatusEvent

    java.lang.Object
      |
      +--org.apache.axis.ime.event.MessageCorrelatedEvent
            |
            +--org.apache.axis.ime.event.MessageStatusEvent

All Implemented Interfaces:
  MessageExchangeEvent, java.io.Serializable

public class MessageStatusEvent
extends MessageCorrelatedEvent

The MessageExchangeStatus event is used to provide status notifications to registered listeners.

Author:
  Ray Chun (rchun@sonicsoftware.com)
See Also:
  Serialized Form

Field Summary
`protected MessageExchangeStatus` | `status`

Fields inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`context, correlator`

Constructor Summary
`MessageStatusEvent(MessageExchangeCorrelator correlator, MessageExchangeStatus status)`

Method Summary
`MessageExchangeStatus` | `getMessageExchangeStatus()`

Methods inherited from class org.apache.axis.ime.event.MessageCorrelatedEvent
`getMessageContext, getMessageExchangeCorrelator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### status

    protected MessageExchangeStatus status

Constructor Detail

### MessageStatusEvent

    public MessageStatusEvent(MessageExchangeCorrelator correlator,
                              MessageExchangeStatus status)

Method Detail

### getMessageExchangeStatus

    public MessageExchangeStatus getMessageExchangeStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.